# runner

> GitLab CI runner.

## Description

A customized image for running the GitLab CI runner Docker container, spawning
other Docker containers for jobs. This image registers with the server on
startup and has the `docker` package already installed (it needs to have the
dockerd socket mounted inside the container).

## Usage

First of all, get the registration token from
https://git.shore.co.il/admin/runners. To build and run on `host01.shore.co.il`,
just run:
```
docker-compose build && REGISTRATION_TOKEN='INSERT_TOKEN' docker-compose up -d
```

If you want to run on a different host (for example `ns4.shore.co.il`), run:
```
DOCKER_HOST=ssh://ns4.shore.co.il docker-compose build && DOCKER_HOST=ssh://ns4.shore.co.il REGISTRATION_TOKEN='INSERT_TOKEN' RUNNER_NAME=ns4.shore.co.il docker-compose up -d
```

## License

This software is licensed under the MIT license (see `LICENSE.txt`).

## Author Information

Nimrod Adar, [contact me](mailto:nimrod@shore.co.il) or visit my [website](
https://www.shore.co.il/). Patches are welcome via [`git send-email`](
http://git-scm.com/book/en/v2/Git-Commands-Email). The repository is located
at: <https://www.shore.co.il/git/>.

